require('dotenv').config();
const express = require('express');
const app = express();
const bodyParser = require('body-parser');
const router = express.Router();
const cors = require('cors');
const routes = require('./routes/route');

// app.use(express.json());

app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());
// const upload = multer();
// app.use(upload.any());

// console.log('upload',upload);
const PORT = process.env.PORT || 3000;
const HOSTNAME = process.env.HOSTNAME;


app.use(cors({
    origin: '*'
}));

app.use('/sampleapp/admin/images', express.static('C:/Users/YD/Node/sampleapp/assets/images'));

app.use('/sampleapp/admin', routes);



app.listen(PORT, HOSTNAME, () => {
  console.log(`Server running at http://${HOSTNAME}:${PORT}/`);
});