require('dotenv').config();
const express = require('express');
const app = express();
const bodyParser = require('body-parser');
const router = express.Router();
const cors = require('cors');
const routes = require('./routes/route');

// app.use(express.json());

app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());
// const upload = multer();
// app.use(upload.any());

// console.log('upload',upload);
const PORT = process.env.PORT || 3000;
// const HOSTNAME = process.env.HOSTNAME;
const HOSTNAME = 'youngdecade.org';
const path = require('path');

app.set('views', path.join(__dirname, 'stripe', 'view'));
app.set('view engine', 'ejs');
app.use(cors({
    origin: '*'
}));

// app.get('/testapp', (req, res) => {
//   // Respond with 200 Success
//   res.status(200).send('Success: Users route accessed');
// });
// app.use('/surendra/sampleapp/admin/images', express.static('https://friendindeed.online/testapp/sampleapp/images'));

app.use('/surendra/sampleapp/server', routes);
// app.use('/surendra/', routes);



app.listen(PORT, HOSTNAME, () => {
  console.log(`Server running at https://${HOSTNAME}:${PORT}/`);
});